# Generated from mina-rsync-npn47-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mina-rsync-npn47

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Deploy with Rsync from any local (or remote) repository
License: LAGPL
URL: https://gitlab.com/neerajpn47/mina-rsync
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Deploy with Rsync to your server from any local (or remote) repository. 
Saves you the need to install Git on your production machine and deploy all of
your development files each time! 
Suitable for deploying any apps, be it Ruby or Node.js. 
Cloned from https://github.com/moll/mina-rsync.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Makefile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/mina-rsync.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.1-1
- Initial package
